Site status history dashboard
Status: Closed Start date: 04/10/2013

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.7   

Description

Build a dashboard that shows the history of a site status.

This should include:

A form element that allows of selection of the time period

A form element that allows users to filter by URL and or title

Single value modules listing the average and maximum response times

A chart illustrating the response times broken out by connection and request time

A table listing the past statuses

History

#1 - 04/10/2013 03:36 AM - Luke Murphey

- Target version set to 0.8

#2 - 04/10/2013 03:43 AM - Luke Murphey

- File mypingdom.png added

#3 - 04/10/2013 03:44 AM - Luke Murphey

- File feature-monitor.png added

See 

 and 

 for similar concepts.
#4 - 04/12/2013 06:26 AM - Luke Murphey

- Status changed from New to In Progress

#5 - 04/12/2013 06:41 AM - Luke Murphey

I currently don't treat empty response codes as failures. See:

sourcetype="web_ping" title="TextCritical.net" | eval down=if(response_code>=400,1,if(timed_out=="True", 1, 0)

 ) 

#6 - 04/13/2013 05:58 AM - Luke Murphey

See http://splunk-base.splunk.com/answers/58335/change-chart-bar-color-based-on-data-value for an approach to color items in a chart.

#7 - 04/13/2013 07:02 PM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

#8 - 08/31/2013 06:59 AM - Luke Murphey

- Target version changed from 0.8 to 0.7

Files

mypingdom.png 75.2 KB 04/10/2013 Luke Murphey

feature-monitor.png 19.7 KB 04/10/2013 Luke Murphey
